org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class KeyArchivalAttributes

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.KeyArchivalAttributes

-     public class KeyArchivalAttributes
      extends Object

  Java class for KeyArchivalAttributes complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="KeyArchivalAttributes">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="symmetricAlgorithmOIDReference" type="{http://www.w3
               .org/2001/XMLSchema}int"/>
               <element name="symmetricAlgorithmKeyLength" type="{http://www.w3
               .org/2001/XMLSchema}unsignedInt"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `symmetricAlgorithmKeyLength`
    `protected int` | `symmetricAlgorithmOIDReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyArchivalAttributes()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getSymmetricAlgorithmKeyLength()` Gets the value of the symmetricAlgorithmKeyLength property.
    `int` | `getSymmetricAlgorithmOIDReference()` Gets the value of the symmetricAlgorithmOIDReference property.
    `void` | `setSymmetricAlgorithmKeyLength(long value)` Sets the value of the symmetricAlgorithmKeyLength property.
    `void` | `setSymmetricAlgorithmOIDReference(int value)` Sets the value of the symmetricAlgorithmOIDReference property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### symmetricAlgorithmOIDReference

          protected int symmetricAlgorithmOIDReference

    - #### symmetricAlgorithmKeyLength

          protected long symmetricAlgorithmKeyLength

  - ### Constructor Detail

    - #### KeyArchivalAttributes

          public KeyArchivalAttributes()

  - ### Method Detail

    - #### getSymmetricAlgorithmOIDReference

          public int getSymmetricAlgorithmOIDReference()

      Gets the value of the symmetricAlgorithmOIDReference property.

    - #### setSymmetricAlgorithmOIDReference

          public void setSymmetricAlgorithmOIDReference(int value)

      Sets the value of the symmetricAlgorithmOIDReference property.

    - #### getSymmetricAlgorithmKeyLength

          public long getSymmetricAlgorithmKeyLength()

      Gets the value of the symmetricAlgorithmKeyLength property.

    - #### setSymmetricAlgorithmKeyLength

          public void setSymmetricAlgorithmKeyLength(long value)

      Sets the value of the symmetricAlgorithmKeyLength property.

Copyright © 2017 WSO2. All rights reserved.